Subject: [PATCH 2/6] OMAP2+: omap_hwmod: manage the wake-up latency constraints

From: [email-masked] (Kevin Hilman)
Date: Tue, 13 Dec 2011 15:46:47 -0800

jean.pihet at newoldbits.com writes:

> From: Jean Pihet <[email-masked]>
>
> Hwmod is queried from the OMAP_PM layer to manage the power domains

nit: changelog needs a refresh as this isn't called from OMAP PM layer.

> wake-up latency constraints. Hwmod retrieves the correct power domain
> and if it exists it calls the corresponding power domain function.
>
> Tested on OMAP3 Beagleboard and OMAP4 Pandaboard in RET/OFF using wake-up
> latency constraints on MPU, CORE and PER.
>
> Signed-off-by: Jean Pihet <[email-masked]>

Kevin